![Computer Science | Linked Lists](./src/misc/banner.png)

![Make & Leave Project - Static Badge](https://img.shields.io/badge/make_%26_leave_project-p?style=for-the-badge)

# About
A demonstration of what linked lists can do using JavaScript.

# Installation
```
npm install @tekksunn/cs-linked-lists
```

# How To Use
## Linked List
This is a simple implementation of a **Linked List** in JavaScript. It provides various methods for interacting with the list, such as adding, removing, finding, and displaying nodes.

```
// Linked List Initialization
const linkedList = new LinkedList();

// Method Usage
linkedList.append("Hello, World");
```

## Features
The linked list includes the following methods:

- **append(value):** Adds a new node with the specified value to the end of the list.
- **prepend(value):** Adds a new node with the specified value to the beginning of the list.
- **pop():** Removes the last node in the list.
- **shift():** Removes the first node in the list.
- **at(index):** Returns the node at the specified index.
- **contains(value):** Checks if a node with the specified value exists in the list.
- **size():** Returns the number of nodes in the list.
- **tail():** Returns the last node in the list.
- **toString():** Converts the list into a string representation.
